summaryrefslogtreecommitdiffstats
path: root/meta/recipes-lsb4
Commit message (Collapse)AuthorAgeFilesLines
* libpng12: rename libpng_1.2.50 to libpng12Kang Kai2013-04-091-3/+17
| | | | | | | | | | | | | | | | | As Mark's suggestion, rename libpng_1.2.50 to libpng12 that multi-versions libpng could coexist. We want to make sure we have both the old and new versions to meet LSB compliance (for people who have that enabled) as well as the new version for newer applications. And drop link files that conflict with higher version. [YOCTO #4221] Signed-off-by: Kang Kai <kai.kang@windriver.com> CC: Mark Hatle <mark.hatle@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* libpng: add version 1.2 backKang Kai2013-03-291-0/+21
| | | | | | | | | | Current LSB 4.1 test suite still check libpng12.so, so add libpng 1.2.x back, and set it as default verison for linuxstdbase image. [YOCTO #4015] Signed-off-by: Kang Kai <kai.kang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* libenv-perl: Update to 1.04Saul Wold2013-03-181-3/+3
| | | | | | LICENSE file's year was updated. Signed-off-by: Saul Wold <sgw@linux.intel.com>
* libdumpvalue-perl: Update to 1.17Saul Wold2012-11-211-3/+3
| | | | | | | LICENSE file updated Copyright year to 2012, no other change Signed-off-by: Saul Wold <sgw@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* libi18n-collate-perl: add itKang Kai2012-09-101-0/+22
| | | | | | | | | | | This module is deprecated from perl 5.003_06. But LSB perl test 4.1.6-2 still test it. So add it. [Yocto #3031] Signed-off-by: Kang Kai <kai.kang@windriver.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
* libfile-checktree-perl: add itKang Kai2012-09-101-0/+33
| | | | | | | | | | | | LSB perl test 4.1.6-2, all/tst_perlModPresent.pl 1 fails with: test 88 'use File::CheckTree;' failed Add it to fix this issue. [Yocto #3031] Signed-off-by: Kang Kai <kai.kang@windriver.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
* libenv-perl: add itKang Kai2012-09-101-0/+22
| | | | | | | | | Just add it for LSB 4.1 perl tests. [Yocto #3031] Signed-off-by: Kang Kai <kai.kang@windriver.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
* libdumpvalue-perl: add itKang Kai2012-09-101-0/+20
| | | | | | | | | | LSB perl test 4.1.6-2 case all/tst_perlModPresent.pl 1 fails with: test 44 'use Dumpvalue;' failed So add libdumpvalue-perl to fix it. Signed-off-by: Kang Kai <kai.kang@windriver.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
* libpod-plainer-perl: add itKang Kai2012-09-101-0/+24
| | | | | | | | | | | | LSB perl test 4.1.6-2 case all/tst_perlModPresent.pl 1 fails with: test 190 'use Pod::Plainer;' failed Add libpod-plainer-perl to fix it. [Yocto #3031] Signed-off-by: Kang Kai <kai.kang@windriver.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
* libclass-isa-perl: add itKang Kai2012-09-101-0/+32
perl module Class::ISA is needed by LSB 4.1 perl test, so add it. When LSB 5.0 release, it will be deprecated. But we need it now. [Yocto #3030] Signed-off-by: Kang Kai <kai.kang@windriver.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>